org.apache.poi.hwpf.model

## Class SectionTable

- java.lang.Object
- - org.apache.poi.hwpf.model.SectionTable

- Direct Known Subclasses:
    OldSectionTable

      @Internal
      public class SectionTable
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SEPX>` | `_sections`
    `protected java.util.List<TextPiece>` | `_text`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SectionTable()` So we can know if things are unicode or not
    `SectionTable(byte[] documentStream, byte[] tableStream, int offset, int size, int fcMin, TextPieceTable tpt, int mainLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `adjustForInsert(int listIndex, int length)`
    `java.util.List<SEPX>` | `getSections()`
    `void` | `writeTo(java.io.ByteArrayOutputStream wordDocumentStream, java.io.ByteArrayOutputStream tableStream)`
    `void` | `writeTo(HWPFFileSystem sys, int fcMin)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _sections

          protected java.util.List<SEPX> _sections

    - #### _text

          protected java.util.List<TextPiece> _text

  - ### Constructor Detail

    - #### SectionTable

          public SectionTable()

      So we can know if things are unicode or not

    - #### SectionTable

          public SectionTable(byte[] documentStream,
                              byte[] tableStream,
                              int offset,
                              int size,
                              int fcMin,
                              TextPieceTable tpt,
                              int mainLength)

  - ### Method Detail

    - #### adjustForInsert

          public void adjustForInsert(int listIndex,
                                      int length)

    - #### getSections

          public java.util.List<SEPX> getSections()

    - #### writeTo

          @Deprecated
          public void writeTo(HWPFFileSystem sys,
                                          int fcMin)
                                   throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### writeTo

          public void writeTo(java.io.ByteArrayOutputStream wordDocumentStream,
                              java.io.ByteArrayOutputStream tableStream)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.